Productsup
CDE APIApi referenceManagement

Add metadata to a connector.

Sign in to run requests against the CDE API.
POST
/metadata/connectors/{connectorUuid}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

connectorUuid*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/metadata/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "channel-owner": "Third Party",    "confidence": "Semi Confident",    "help-center": "http://help.center",    "internal-documentation": "http://docs.internal",    "notes": "some notes"  }'
{
  "message": "Successfully added metadata for connector.",
  "resource": "connector-metadata",
  "data": {
    "uuid": "ad28e043-223e-427f-9137-bf10ad2b9f43",
    "channel-owner": "Third Party",
    "confidence": "Semi Confident",
    "help-center": "http://help.center",
    "internal-documentation": "http://docs.internal",
    "notes": "some notes",
    "last-reviewed-at": null,
    "last-updated-by": "019e16f3-8816-78c1-b047-4b4003a53c8d",
    "created-at": "2026-05-11T14:11:59+02:00",
    "updated-at": "2026-05-11T14:11:59+02:00",
    "connector": {
      "id": "019e16f3-8818-71f0-bc54-5f9de009961b",
      "name": "Connector without metadata",
      "type": "data-service"
    }
  }
}
{
  "message": "Bad request.",
  "errors": {
    "channel-owner": "Invalid channel owner provided. Valid options are: \"Feature Team\", \"DromundKaas Team\", \"Channel Team\", \"Third Party\", \"API Team\", \"WG3\"."
  }
}

How is this guide?